X_RISK®

7.17.80.11

Released: Oct 27, 2017 File Size: 0
Package Contents:
No notes available.

Important Notes

Why Should I Upgrade?


X_RISK 7.17.80 is the minimum supported version of MiFID II Compliance. Please reference X_TRADER Support for MiFID II for more details on X_TRADER® and X_RISK MiFID related updates.

System Requirements


X_RISK 7.17.80 is the minimum supported version of MiFID II Compliance. Please reference X_TRADER Support for MiFID II for more details on X_TRADER® and X_RISK MiFID related updates.

Installation Notes

When upgrading from existing versions, TT strongly recommends making a backup of your workspaces in a separate location.
  1. X_RISK 7.17.x supports upgrades from previous versions of X_RISK 7.5.x or higher. X_RISK 7.17.x does NOT support workspaces created in X_RISK 7.5.x.

  2. If your current software is older than X_RISK 7.5.x, TT recommends uninstalling your existing old software and performing a clean install.

  3. X_RISK 7.17.x can be installed on the same workstation with X_TRADER® 7.11.x or higher running in LIVE production mode.

Enhancements

  1. Delete
    1. Added the ability to apply MiFID compliance tags of an Administrator who cancels working orders. (Ref 233911)

Fixes

Known Issues